/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui;


public class PeakProgrammeMeterEvent {
	private float leftValue;
	private float leftPeakValue;
	private float leftPeakInDecibel;
	private boolean leftClip;
	private float rightValue;
	private float rightPeakValue;
	private float rightPeakInDecibel;
	private boolean rightClip;

	public float getLeftValue() {
		return leftValue;
	}

	public void setLeftValue(float leftValue) {
		this.leftValue = leftValue;
	}

	public float getLeftPeakValue() {
		return leftPeakValue;
	}

	public void setLeftPeakValue(float leftPeakValue) {
		this.leftPeakValue = leftPeakValue;
	}

	public float getRightValue() {
		return rightValue;
	}

	public void setRightValue(float rightValue) {
		this.rightValue = rightValue;
	}

	public float getRightPeakValue() {
		return rightPeakValue;
	}

	public void setRightPeakValue(float rightPeakValue) {
		this.rightPeakValue = rightPeakValue;
	}

	public boolean isLeftClip() {
		return leftClip;
	}

	public void setLeftClip(boolean leftClip) {
		this.leftClip = leftClip;
	}

	public boolean isRightClip() {
		return rightClip;
	}

	public void setRightClip(boolean rightClip) {
		this.rightClip = rightClip;
	}

	public float getLeftPeakInDecibel() {
		return leftPeakInDecibel;
	}

	public void setLeftPeakInDecibel(float leftPeakInDecibel) {
		this.leftPeakInDecibel = leftPeakInDecibel;
	}

	public float getRightPeakInDecibel() {
		return rightPeakInDecibel;
	}

	public void setRightPeakInDecibel(float rightPeakInDecibel) {
		this.rightPeakInDecibel = rightPeakInDecibel;
	}
}
