/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.ui.sync;

import org.audiochain.model.AudioProject;
import org.audiochain.model.BinaryDataset;

abstract class BinarySyncSocketAdapter implements BinarySyncSocketListener {
	
	@Override
	public void binaryDatasetReceptionInitiated(BinarySyncSocket incomingSocket, AudioProject audioProject, String binaryDatasetIdentifier, long totalBytes) {
		
	}
	
	@Override
	public void binaryDatasetReceptionUpdate(BinarySyncSocket incomingSocket, AudioProject audioProject, String binaryDatasetIdentifier, long receivedBytes, long totalBytes, long remainTimeInMillis) {
		
	}

	@Override
	public void binaryDatasetReceptionCompleted(BinarySyncSocket incomingSocket, AudioProject audioProject, String binaryDatasetIdentifier) {

	}
	
	@Override
	public void binaryDatasetRemotelyAddedToQueue(BinarySyncSocket incomingSocket, AudioProject audioProject, String binaryDatasetIdentifier, long binaryDatasetLength) {
		
	}

	@Override
	public void binaryDatasetAddedToQueue(BinarySyncSocket binarySyncSocket, BinaryDataset binaryDataset) {

	}

	@Override
	public void binaryDatasetTransmissionInitiated(BinarySyncSocket binarySyncSocket, BinaryDataset binaryDataset) {

	}

	@Override
	public void binaryDatasetTransmissionUpdate(BinarySyncSocket binarySyncSocket, BinaryDataset binaryDataset, long transmittedBytes, long totalBytes, long remainTimeInMillis) {

	}

	@Override
	public void binaryDatasetTransmissionCompleted(BinarySyncSocket binarySyncSocket, BinaryDataset binaryDataset) {

	}
}
